goocanvas.Text
Prev | PyGooCanvas Standard Canvas Items Reference | Next

## goocanvas.Text

goocanvas.Text — A text item.

## Synopsis

    class goocanvas.Text(goocanvas.ItemSimple):
        goocanvas.Text(properties=None)
        def get_natural_extents()

## Ancestry

    +-- gobject.GObject
    	+-- goocanvas.ItemSimple
    		+-- goocanvas.Text

## goocanvas.Text Properties

"alignment" | Read/Write | How to align the text. Default value: pango.ALIGN_LEFT.
"anchor" | Read/Write | How to position the text relative to the given x and y coordinates. Default value: gtk.ANCHOR_NORTH_WEST.
"font" | Read/Write | The base font to use for the text. Default value: None.
"font-desc" | Read/Write | The attributes specifying which font to use.
"height" | Read/Write | The height to use to layout the text, or -1 to use the natural height. Default value: -1.
"text" | Read/Write | The text to display. Default value: None.
"use-markup" | Read/Write | Whether to parse PangoMarkup in the text, to support different styles. Default value: False.
"width" | Read/Write | The width to use to layout the text. Default value: -1.
"x" | Read/Write | The x coordinate of the text. Default value: 0.
"y" | Read/Write | The y coordinate of the text. Default value: 0.

## Implemented Interfaces

`goocanvas.Text` implements `goocanvas.Item`

## Description

`goocanvas.Text` represents a text item. It is a subclass of `goocanvas.ItemSimple` and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". It also implements the `goocanvas.Item` interface, so you can use the `goocanvas.Item` functions such as `goocanvas.Item.raise_()` and `goocanvas.Item.rotate()`

## Constructor

        goocanvas.Text(properties=None)

`properties` : | A comma separated list of properties.
Returns : | A new `goocanvas.Text`

Creates a new canvas text item.

Here's an example showing how to create a text item with the bottom right of the text box placed at (500,500):

    text = goocanvas.Text(text="Hello, World!", x=500, y=500
    						width=200, anchor=gtk.ANCHOR_SE,
    						fill_color="blue")

## Methods

### goocanvas.Text.get_natural_extents

        def get_natural_extents()

Returns : | a 2-tuple containing two 4-tuples representing the ink and logical rectangles used to store the extents of glyph as drawn.

Gets the natural extents of the text, in the text item's coordinate space. The final extents of the text may be different, if the text item is placed in a layout container such as `goocanvas.Table`.

Prev | Up | Next
goocanvas.Rect | Home | goocanvas.Table